Bug 1460825 - [abrt] PackageKit: pk_backend_refresh_cache_thread(): packagekitd killed by signal 11 [NEEDINFO]
[abrt] PackageKit: pk_backend_refresh_cache_thread(): packagekitd killed by s...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:90da674552b0497a9f49eb88fb7...
:
: 1461362 1462366 1464556 (view as bug list)
Depends On:
Blocks: F27BetaBlocker
  Show dependency treegraph
 
Reported: 2017-06-12 18:11 EDT by Daniel
Modified: 2017-08-21 18:44 EDT (History)
13 users (show)

See Also:
Fixed In Version: PackageKit-1.1.6-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-17 15:43:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rhughes: needinfo? (code)


Attachments (Terms of Use)
File: backtrace (48.94 KB, text/plain)
2017-06-12 18:11 EDT, Daniel
no flags Details
File: cgroup (184 bytes, text/plain)
2017-06-12 18:11 EDT, Daniel
no flags Details
File: core_backtrace (10.23 KB, text/plain)
2017-06-12 18:11 EDT, Daniel
no flags Details
File: cpuinfo (1.31 KB, text/plain)
2017-06-12 18:11 EDT, Daniel
no flags Details
File: dso_list (8.42 KB, text/plain)
2017-06-12 18:11 EDT, Daniel
no flags Details
File: environ (190 bytes, text/plain)
2017-06-12 18:11 EDT, Daniel
no flags Details
File: exploitable (82 bytes, text/plain)
2017-06-12 18:11 EDT, Daniel
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-12 18:11 EDT, Daniel
no flags Details
File: maps (40.28 KB, text/plain)
2017-06-12 18:12 EDT, Daniel
no flags Details
File: open_fds (7.20 KB, text/plain)
2017-06-12 18:12 EDT, Daniel
no flags Details
File: proc_pid_status (1.24 KB, text/plain)
2017-06-12 18:12 EDT, Daniel
no flags Details
File: var_log_messages (1.25 KB, text/plain)
2017-06-12 18:12 EDT, Daniel
no flags Details

  None (edit)
Description Daniel 2017-06-12 18:11:41 EDT
Description of problem:
Crash every time I run `pkcon refresh`.

Version-Release number of selected component:
PackageKit-1.1.6-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: pk_backend_refresh_cache_thread
executable:     /usr/libexec/packagekitd
journald_cursor: s=0fa1f239b1794f89889dfeb23027acbc;i=1f48b;b=3d1f6cbaeedc401f8162bdd9c7ff304e;m=e106870ee;t=551c87c4b8b39;x=7ced7cc4e49b472a
kernel:         4.11.4-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 pk_backend_refresh_cache_thread at pk-backend-dnf.c:1654
 #1 pk_backend_job_thread_setup at pk-backend-job.c:813
 #2 g_thread_proxy at gthread.c:784

Potential duplicate: bug 1114207
Comment 1 Daniel 2017-06-12 18:11:48 EDT
Created attachment 1287104 [details]
File: backtrace
Comment 2 Daniel 2017-06-12 18:11:49 EDT
Created attachment 1287105 [details]
File: cgroup
Comment 3 Daniel 2017-06-12 18:11:51 EDT
Created attachment 1287106 [details]
File: core_backtrace
Comment 4 Daniel 2017-06-12 18:11:52 EDT
Created attachment 1287107 [details]
File: cpuinfo
Comment 5 Daniel 2017-06-12 18:11:54 EDT
Created attachment 1287108 [details]
File: dso_list
Comment 6 Daniel 2017-06-12 18:11:56 EDT
Created attachment 1287109 [details]
File: environ
Comment 7 Daniel 2017-06-12 18:11:58 EDT
Created attachment 1287110 [details]
File: exploitable
Comment 8 Daniel 2017-06-12 18:11:59 EDT
Created attachment 1287111 [details]
File: limits
Comment 9 Daniel 2017-06-12 18:12:02 EDT
Created attachment 1287112 [details]
File: maps
Comment 10 Daniel 2017-06-12 18:12:04 EDT
Created attachment 1287113 [details]
File: open_fds
Comment 11 Daniel 2017-06-12 18:12:06 EDT
Created attachment 1287114 [details]
File: proc_pid_status
Comment 12 Daniel 2017-06-12 18:12:07 EDT
Created attachment 1287115 [details]
File: var_log_messages
Comment 13 Eugene Mah 2017-06-14 05:45:24 EDT
Similar problem has been detected:

Logged into my computer. Notification was displayed that PackageKit quit unexpectedly.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: pk_backend_refresh_cache_thread
executable:     /usr/libexec/packagekitd
journald_cursor: s=fc22d2cbec5e4b95af3cda0296001c74;i=177a6a;b=7f5a6e0a1ec84c1aa930e81bb9134963;m=3c68dfa8;t=551bfd6e9384f;x=27d24d6edab72c26
kernel:         4.11.3-302.fc26.x86_64
package:        PackageKit-1.1.6-1.fc26
reason:         packagekitd killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0
Comment 14 Michal Halenka 2017-06-14 05:58:33 EDT
*** Bug 1461362 has been marked as a duplicate of this bug. ***
Comment 15 Richard Hughes 2017-06-15 04:46:38 EDT
Are there any critical warnings in the journal? I can't see how dnf_state_done() can be returning FALSE and not setting the error. Thanks.
Comment 16 Eugene Mah 2017-06-15 05:44:40 EDT
Similar problem has been detected:

Logged in to my computer and a crash notification appeared.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: pk_backend_refresh_cache_thread
executable:     /usr/libexec/packagekitd
journald_cursor: s=fc22d2cbec5e4b95af3cda0296001c74;i=17c0a3;b=44852a3e95b84cdf8a663363dd5faa62;m=a5c7eb60;t=551e880e975fa;x=26fd60f3d0caba7c
kernel:         4.11.4-300.fc26.x86_64
package:        PackageKit-1.1.6-1.fc26
reason:         packagekitd killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0
Comment 17 Fedora Update System 2017-06-15 09:12:15 EDT
PackageKit-1.1.6-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7f91d69342
Comment 18 orti1980 2017-06-16 16:53:46 EDT
*** Bug 1462366 has been marked as a duplicate of this bug. ***
Comment 19 Fedora Update System 2017-06-16 18:24:00 EDT
PackageKit-1.1.6-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7f91d69342
Comment 20 Fedora Update System 2017-06-17 15:43:24 EDT
PackageKit-1.1.6-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Adam Williamson 2017-08-21 13:09:10 EDT
*** Bug 1464556 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.